#include "haggis.h"
#include "haggis_private.h"
#include <stdint.h>
#include <stdio.h>

int main() {
    haggis_checksum cksum;
    FILE *f;
    int i, ret;

    cksum.tag = md5;
    for (i = 0; i < 16; i++) {
        cksum.sum.md5[i] = (uint8_t)i;
    }
    f = fopen("output/md5", "w");
    ret = haggis_store_cksum(f, &cksum);
    fclose(f);
    return ret;
}
